package com.alihealth.d2d.provtest.domain;

import com.alihealth.d2d.provtest.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.Data;

import javax.persistence.Column;
import javax.xml.bind.annotation.*;

/**
 * @author Jason
 * @date 2025年05月30日 09:59:21
 */
@Data
@TableName("domestic_pharma_base_info")
@JacksonXmlRootElement(localName = "data")
public class DomesticPharmaBaseInfo extends BaseEntity<DomesticPharmaBaseInfo>{
    @Column(name = "tyshxydm", unique = true)
    @JacksonXmlProperty(localName = "TYSHXYDM")
    private String tyshxydm;

    @Column(name = "jnypscqymc")
    @JacksonXmlProperty(localName = "JNYPSCQYMC")
    private String jnypscqymc;

    @Column(name = "jnypscqylx")
    @JacksonXmlProperty(localName = "JNYPSCQYLX")
    private String jnypscqylx;

    @Column(name = "zsdz")
    @JacksonXmlProperty(localName = "ZSDZ")
    private String zsdz;

    @Column(name = "zsdzgjhdq")
    @JacksonXmlProperty(localName = "ZSDZGJHDQ")
    private String zsdzgjhdq;      // 注册地址国家/地区代码

    @Column(name = "zsdzszxszzq")
    @JacksonXmlProperty(localName = "ZSDZSZXSZZQ")
    private String zsdzszxszzq;    // 注册地址所在行政区

    @Column(name = "zsdzsqzzzm")
    @JacksonXmlProperty(localName = "ZSDZSQZZZM")
    private String zsdzsqzzzm;     // 注册地址社区/镇/村

    @Column(name = "zsdzxzzxxjs")
    @JacksonXmlProperty(localName = "ZSDZXZZXXJS")
    private String zsdzxzzxxjs;    // 注册地址乡镇/街道

    @Column(name = "zsdzxzjdbsc")
    @JacksonXmlProperty(localName = "ZSDZXZJDBSC")
    private String zsdzxzjdbsc;    // 注册地址详细街道办/社区

    @Column(name = "zsdzcjlld")
    @JacksonXmlProperty(localName = "ZSDZCJLLD")
    private String zsdzcjlld;      // 注册地址村居/路/楼栋

    @Column(name = "zsdzmphm")
    @JacksonXmlProperty(localName = "ZSDZMPHM")
    private String zsdzmphm;       // 注册地址门牌号码

    // 企业负责人信息
    @Column(name = "fddbr")
    @JacksonXmlProperty(localName = "FDDBR")
    private String fddbr;          // 法定代表人

    @Column(name = "zczb")
    @JacksonXmlProperty(localName = "ZCZB")
    private String zczb;       // 注册资本(万元)

    // 日期信息
    @Column(name = "clrq")
    @JacksonXmlProperty(localName = "CLRQ")
    private String clrq;             // 成立日期

    @Column(name = "yyqx")
    @JacksonXmlProperty(localName = "YYQX")
    private String yyqx;           // 营业期限

    // 经营信息
    @Column(name = "jyfw")
    @JacksonXmlProperty(localName = "JYFW")
    private String jyfw;           // 经营范围

    @Column(name = "djjg")
    @JacksonXmlProperty(localName = "DJJG")
    private String djjg;           // 登记机关

    // 联系方式
    @Column(name = "gddhhm")
    @JacksonXmlProperty(localName = "GDDHHM")
    private String gddhhm;         // 固定电话号码

    @Column(name = "czhm")
    @JacksonXmlProperty(localName = "CZHM")
    private String czhm;           // 传真号码

    @Column(name = "dzxx")
    @JacksonXmlProperty(localName = "DZXX")
    private String dzxx;           // 电子信箱

    @Column(name = "qywz")
    @JacksonXmlProperty(localName = "QYWZ")
    private String qywz;           // 企业网址

    @Column(name = "lxr")
    @JacksonXmlProperty(localName = "LXR")
    private String lxr;            // 联系人

    @Column(name = "lxdh")
    @JacksonXmlProperty(localName = "LXDH")
    private String lxdh;           // 联系电话

    // 地理坐标
    @Column(name = "zsgps")
    @JacksonXmlProperty(localName = "ZSGPS")
    private String zsgps;          // GPS坐标(经度,纬度)



    @Override
    public Class<DomesticPharmaBaseInfo> getEntityClass() {
        return DomesticPharmaBaseInfo.class;
    }

    @Override
    public String getDatasetName() {
        return "境内药品生产企业基本信息数据子集";
    }


}
