package com.alihealth.d2d.provtest.service.handle.business;

import com.alihealth.d2d.provtest.domain.DomesticPharmaBaseInfo;
import com.alihealth.d2d.provtest.entity.*;
import com.alihealth.d2d.provtest.service.IDomesticPharmaBaseInfoService;
import com.alihealth.d2d.provtest.service.XmlParserService;
import com.alihealth.d2d.provtest.service.handle.AbstractEventDataHandler;
import com.alihealth.d2d.provtest.service.handle.EventSubType;
import com.baomidou.mybatisplus.extension.service.IService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;

/**
 * @author Jason 境内药品生产企业基本信息数据子集
 * @date 2025年06月05日 11:14:43
 */
@Service
@EventSubType("1011")
public class SubType1011Handler extends AbstractEventDataHandler<DomesticPharmaBaseInfo> {
    protected final Logger log = LoggerFactory.getLogger(getClass());

    @Autowired
    private IDomesticPharmaBaseInfoService service;

    @Autowired
    private XmlParserService xmlParserService;

    @Override
    protected Class<DomesticPharmaBaseInfo> getEntityClass() {
        return DomesticPharmaBaseInfo.class;
    }

    @Override
    protected IService<DomesticPharmaBaseInfo> getService() {
        return service;
    }

    @Override
    protected DomesticPharmaBaseInfo convertToEntity(EventBody eventBody, ItemDetail item, InstanceDetail instance) {
        return null;
    }

    @Override
    public String getSubType() {
        return "1011";
    }

    @Override
    public void handleBase(String xml,String eventId) {
        VTTSBasic<DomesticPharmaBaseInfo> result = xmlParserService.parseDataXml(
                    xml,
                    DomesticPharmaBaseInfo.class
            );
        List<DomesticPharmaBaseInfo> list = result.getDataset();
        if(list!=null && !list.isEmpty()){
            list.stream()
                    .forEach(item -> {
                        item.setEventId(eventId);
                    });
            getService().saveBatch(list);
            log.info("数据类型："+getSubType()+"，入库的数据条数:{}", list.size());
        }
    }
}
